Get deals

Retrieves a list of deals with optional filtering, sorting, and pagination.

POST
/v1/deals/search

Authorization

apiKeyAuth
x-api-key<token>

API key authentication. Create an API key in your user profile and include it in the x-api-key header.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://loading/api/v1/deals/search" \  -H "Content-Type: application/json" \  -d '{}'
{
  "customColumns": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "label": "string",
      "entityType": "contact",
      "type": "plain"
    }
  ],
  "filters": [
    {
      "field": "string",
      "operator": "equals",
      "value": "string"
    }
  ],
  "searchTerm": "string",
  "sortDescriptor": {
    "field": "string",
    "direction": "asc"
  },
  "pagination": {
    "page": 1,
    "pageSize": 5,
    "totalPages": 0,
    "total": 0
  },
  "filterableFields": [
    {
      "field": "string",
      "operators": [
        "equals"
      ],
      "label": "string"
    }
  ],
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "totalValue": 0,
      "totalQuantity": 0,
      "weightedValue": 0,
      "notes": {},
      "createdAt": "string",
      "updatedAt": "string",
      "organizations": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string"
        }
      ],
      "users": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "firstName": "string",
          "lastName": "string",
          "avatarUrl": "string",
          "email": "user@example.com"
        }
      ],
      "contacts": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "firstName": "string",
          "lastName": "string",
          "avatarUrl": "string"
        }
      ],
      "services": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "amount": 0,
          "quantity": 0
        }
      ],
      "tasks": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "type": "userPendingAuthorization"
        }
      ],
      "customFieldValues": [
        {
          "columnId": "b0676e1a-d8a0-4c5f-99e7-a0ee8909f6dd",
          "value": "string"
        }
      ]
    }
  ]
}
"string"
"string"
"string"
"string"